<?php
$theme = isset($_COOKIE['theme']) ? $_COOKIE['theme'] : 'light';
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Syed- Theme Example</title>
    <style>
        body.light-theme {
            background-color: #fff;
            color: #333;
        }

        body.dark-theme {
            background-color: #333;
            color: #fff;
        }

        #theme-toggle {
            cursor: pointer;
            padding: 10px;
            background-color: #007BFF;
            color: #fff;
            border: none;
            border-radius: 5px;
        }
    </style>
</head>
<body class="<?php echo $theme; ?>-theme">

<div style="text-align:center;">
    <h1>Syed Theme Toggle</h1>
    <button id="theme-toggle">Switch to Dark Theme</button>

    <a  href="syedH1.php" id="theme-toggle">My web page</a>
</div>

<script>
    function setTheme(theme) {
        document.body.className = theme + "-theme";
        document.getElementById('theme-toggle').innerText = theme === "light" ? "Switch to Dark Theme" : "Switch to Light Theme";
        document.cookie = "theme=" + theme + "; secure; path=/; max-age=" + 60 * 60 * 24 * 365 +";HttpOnly" ;
    }

    function getThemeFromCookie() {
        const themeCookie = document.cookie.split('; ').find(row => row.startsWith('theme='));
        if (themeCookie) {
            return themeCookie.split('=')[1];
        }
        return null;
    }

    const savedTheme = getThemeFromCookie();
    if (savedTheme) {
        setTheme(savedTheme);
    }

    document.getElementById('theme-toggle').addEventListener('click', function() {
        const currentTheme = document.body.classList.contains('light-theme') ? 'light' : 'dark';
        const newTheme = currentTheme === 'light' ? 'dark' : 'light';
        setTheme(newTheme);
    });
</script>

</body>
</html>
